#include "jbsql.h"

void ShowError(TextWidget *text,char *type,char *name)
{
  char *str,*owner,*object;
  char query[4000];
  int x;
  ExecuteStruct *es;
  
  str=strdup(name);
  Trim(str);
  for (x=0;x<(int)strlen(str);x++)
    str[x]=toupper(str[x]);
  object=strchr(str,'.');
  if (object==NULL)
  {
    GetUserID(str,&owner,&object,1);
  }
  else
  {
    *object='\0';
    owner=strdup(str);
    object++;
    object=strdup(object);
  }
  free(str);
  if (owner!=NULL)
  {
    sprintf(query,"select lpad(line,5)||'/'||rpad(position,5)||' '||text \" line/col   error\" from all_errors where owner=upper('%s') and name=upper('%s') and type=upper('%s') order by line, position, sequence",owner,object,type);
    es=malloc(sizeof(ExecuteStruct));
    es->text=text;
    es->data=strdup(query);
    strcpy(es->action,"\r%d error%s");
    ExecuteQuery(es);
  }
  else
  {
    ClearCommand(text,1,0);
  }
  free(object);
  free(owner);
}
